package ogloszenia.klient;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.Invocation;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.Response;

import ogloszenia.model.ListaOgloszen;
import ogloszenia.model.Samochodowe;

public class Klient22_JSON_Obiektowo {
	
	public static void main(String[] args) {
		
		Client klient = ClientBuilder.newClient();		
		WebTarget baseUri = klient.target(Ustawienia.URI_SERWISU);
		
		Invocation invocation = baseUri
			.path("/ogloszenia/3")
			.request()
			.accept("application/json")
			.header("User-Agent", "Firefox")
			.buildGet();
		
		System.out.println("Zaraz wyślę zapytanie...");
		
		Response response = invocation.invoke();
		System.out.println("Odebrałem odpowiedź ");
		System.out.println("    status: " + response.getStatus());
		System.out.println("    typ danych: " + response.getMediaType());
		
		Samochodowe ogl = response.readEntity(Samochodowe.class);
		System.out.println(ogl);
		
		System.out.println("Koniec zabawy");
	}

}
